CONN_ATTEMPT_CONNECTION(3)

FUNCTION
conn_attempt_connection - Attempt connection.

SYNOPSIS
#include <karma_conn.h>

Connection conn_attempt_connection

(CONST char *hostname, unsigned int port_number, CONST char *protocol_name)

DESCRIPTION
This routine will attempt to make a connection to a server. The routine always makes a connection using the most efficient transport layer available.

hostname
    The hostname of the machine on which the server is running.

port_number
    The Karma port number to connect to.

protocol_name
    The protocol to connect with.

RETURN VALUE
The connection object on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
The appropriate callback functions registered with <-conn_register_client_protocol-> will be called.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/